Loading...
Searching...
No Matches
FrameMapper.h File Reference

Header file for the FrameMapper class. More...

`#include <assert.h>`
`#include <iostream>`
`#include <vector>`
`#include <memory>`
`#include "AudioResampler.h"`
`#include "CacheMemory.h"`
`#include "ReaderBase.h"`
`#include "Frame.h"`
`#include "Fraction.h"`
`#include "KeyFrame.h"`
`#include "FFmpegUtilities.h"`
`#include "OpenMPUtilities.h"`

Go to the source code of this file.

## Classes

struct | openshot::Field
| This struct holds a single field (half a frame). More...
class | openshot::FrameMapper
| This class creates a mapping between 2 different frame rates, applying a specific pull-down technique. More...
struct | openshot::MappedFrame
| This struct holds two fields which together make up a complete video frame. More...
struct | openshot::SampleRange
| This struct holds a the range of samples needed by this frame. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::PulldownType { openshot::PULLDOWN_CLASSIC , openshot::PULLDOWN_ADVANCED , openshot::PULLDOWN_NONE }
| This enumeration determines how frame rates are increased or decreased. More...

## Detailed Description

Header file for the FrameMapper class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file FrameMapper.h.